#ifndef CONFIGDIALOG_H
#define CONFIGDIALOG_H

#include <kdialogbase.h>

class KConfig;
class GestureConfigPage;
class FeedbackConfigPage;

class ConfigDialog : public KDialogBase
  {
  Q_OBJECT
  
    public:
  ConfigDialog(QWidget *parent, const char *name);
  ~ConfigDialog();

  void readOptions(KConfig &config);
  void writeOptions(KConfig &config);
  
 protected slots:
 virtual void slotApply();
  virtual void slotOk();
  virtual void slotModified();
  
    private:
  FeedbackConfigPage *_feedbackPage;
  GestureConfigPage *_gesturePage;
  };

#endif
